Subject: Re: [patch 02/15] ppp_mppe: add PPP MPPE encryption module

From: Jeff Garzik <[email-masked]>
Date: Mon, 20 Jun 2005 18:45:18 -0400

[email-masked] wrote:
> From: Matt Domsch <[email-masked]>
> 
> The patch below implements the Microsoft Point-to-Point Encryption method
> as a PPP compressor/decompressor.  This is necessary for Linux clients and
> servers to interoperate with Microsoft Point-to-Point Tunneling Protocol
> (PPTP) servers (either Microsoft PPTP servers or the poptop project) which
> use MPPE to encrypt data when creating a VPN.
> 
> This patch differs from the kernel_ppp_mppe DKMS pacakge at
> pptpclient.sourceforge.net by utilizing the kernel crypto routines rather
> than providing its own SHA1 and arcfour implementations.
> 
> Minor changes to ppp_generic.c try to prevent a link from disabling
> compression (in our case, the encryption) after it has started using
> compression (encryption).
> 
> Feedback to <[email-masked]> please.
> 
> Signed-off-by: Matt Domsch <[email-masked]>
> Cc: James Cameron <[email-masked]>
> Cc: "David S. Miller" <davem-fT/PcQaiUtIeIZ0/[email-masked]>
> Signed-off-by: Brice Goglin <[email-masked]>
> Signed-off-by: Andrew Morton <[email-masked]>

I'll review this, but ppp stuff really needs to go Paul MacKerras...

	Jeff

-------------------------------------------------------
SF.Net email is sponsored by: Discover Easy Linux Migration Strategies
from IBM. Find simple to follow Roadmaps, straightforward articles,
informative Webcasts and more! Get everything you need to get up to
speed, fast. http://ads.osdn.com/?ad_id=7477&alloc_id=16492&op=click